#ifndef GLOBALS_H_
#define GLOBALS_H_



#define THRESHOLD 10500000

// Variables for the linear equation perm. method
#define A 0x8BE913A5
#define A1 0x8BE913A5
#define A2 0xEE6B283F
#define N 0x100000000
#define P 0x10000000F

#define NUM_DIVISIONS48 (sizeof(KeyType48))


// Ensure against infinite loops in the change detection function
#define MAX_ITER 50

// Type definitions
typedef unsigned int  KeyType;
typedef unsigned long long  KeyType48;

typedef unsigned int  IndexType;
typedef double        ValueType;

#endif
